For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
API Reference

Remove Background

POST
https://api.ideogram.ai/v1/remove-background
POST
/v1/remove-background
$curl -X POST https://api.ideogram.ai/v1/remove-background \
> -H "Api-Key: <apiKey>" \
> -H "Content-Type: multipart/form-data" \
> -F image=@string
1{
2 "created": "2000-01-23 04:56:07+00:00",
3 "data": [
4 {
5 "is_image_safe": true,
6 "url": "https://ideogram.ai/api/images/ephemeral/xtdZiqPwRxqY1Y7NExFmzB.png?exp=1743867804&sig=e13e12677633f646d8531a153d20e2d3698dca9ee7661ee5ba4f3b64e7ec3f89"
7 }
8 ]
9}

Remove the background of a given image synchronously. The foreground subject is identified and returned on a transparent background. Supported image formats include JPEG, PNG, and WebP. Image links are available for a limited period of time; if you would like to keep the image, you must download it.

Was this page helpful?
Previous

Layerize Text

Next
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Request

A request to remove the background of an image.
imagefileRequired

The image whose background is being removed (max size 10MB); only JPEG, WebP and PNG formats are supported at this time.

Response

Background removed successfully.
createddatetime
The time the request was created.
datalist of objects
A list containing the single foreground image. The endpoint always returns exactly one entry.

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error